
#include "wx_panel.h"
#include "wx_enhdg.h"
#include "wx_dialg.h"

@INCLUDE wxs.xci

@HEADER

@CLASSBASE wxPanel "wx:panel":"wx:window"

@CLASSID wxTYPE_PANEL

@CREATOR ();
@CREATOR (wxFrame!,int=-1,int=-1,int=-1,int=-1,long=0,string="panel")
@CREATOR (wxPanel!,int=-1,int=-1,int=-1,int=-1,long=0,string="panel")

@ "create" : void Create(wxFrame!,int=-1,int=-1,int=-1,int=-1,long=0,string="panel")
@ "fit" : void Fit();
@ "get-cursor" : void GetCursor(int*,int*);
@ "get-default-item" : wxButton! GetDefaultItem();

// Overriding wxWindow
@ "set-size" : void SetSize(int,int,int,int);
@ "set-client-size" : void SetClientSize(int,int);
@ "get-size" : void GetSize(int*,int*);
@ "get-client-size" : void GetClientSize(int*,int*);
@ "get-position" : void GetPosition(int*,int*);
@ "centre" : void Centre(int = wxBOTH);
@ "add-child" : void AddChild(wxWindow!);
@ "enable" : void Enable(bool);

@INCLUDE wxs_panl.xci

@ "get-cursor" : void GetCursor(int*,int*);

@ "get-horizontal-spacing" : int GetHorizontalSpacing();
@ "get-vertical-spacing" : int GetVerticalSpacing();
@ "set-horizontal-spacing" : void SetHorizontalSpacing(int);
@ "set-vertical-spacing" : void SetVerticalSpacing(int);

@ "new-line" : void NewLine();
@ "new-line" : void NewLine(int);

@INCLUDE wxs_ifnt.xci
@INCLUDE wxs_icol.xci

@ "tab" : void Tab():
@ "tab" : void Tab(int):

@ "advance-cursor" : void AdvanceCursor(wxWindow!);

@ "get-child" : wxObject! GetChild(int);

@CONSTANT "wx:const-multiple-mask" : long wxMULTIPLE_MASK
@CONSTANT "wx:const-single" : bool wxSINGLE       
@CONSTANT "wx:const-multiple" : bool wxMULTIPLE     
@CONSTANT "wx:const-extended" : long wxEXTENDED     
@CONSTANT "wx:const-sb-mask" : long wxSB_MASK      
@CONSTANT "wx:const-needed-sb" : long wxNEEDED_SB    
@CONSTANT "wx:const-always-sb" : long wxALWAYS_SB    
@CONSTANT "wx:const-process-enter" : long wxPROCESS_ENTER
@CONSTANT "wx:const-password" : long wxPASSWORD     
@CONSTANT "wx:const-vscroll" : long wxVSCROLL      
@CONSTANT "wx:const-hscroll" : long wxHSCROLL      
@CONSTANT "wx:const-caption" : long wxCAPTION      
@CONSTANT "wx:const-editable" : long wxEDITABLE     
@CONSTANT "wx:const-readonly" : long wxREADONLY      

@END

@CLASSBASE wxDialogBox "wx:dialog-box" : "wx:panel"

@CLASSID wxTYPE_DIALOG_BOX

@CREATOR (wxWindow^,nstring,bool=FALSE,int=300,int=300,int=500,int=500,long=wxDEFAULT_DIALOG_STYLE,string="dialogBox");

// @ "destroy" : void QuasiDelete();

@CONSTANT "wx:const-default-dialog-style" : long wxDEFAULT_DIALOG_STYLE

@ "centre" : void Centre(int=wxBOTH);
// @ "create" : void Create(wxWindow!,string,bool=FALSE,int=300,int=300,int=500,int=500,long=wxDEFAULT_DIALOG_STYLE,string="dialogBox");

@ "get-title" : string GetTitle();
@ "iconize" : void Iconize(bool);
@ "iconized?" : bool Iconized()
@ "set-title" : void SetTitle(string);
@ "show" : void Show(bool);
@ "is-shown?" : void IsShown();
@ "set-size" : void SetSize(int,int,int,int);
@ "set-client-size" : void SetClientSize(int,int);
@ "get-size" : void GetSize(int*,int*);
@ "get-client-size" : void GetClientSize(int*,int*);
@ "get-position" : void GetPosition(int*,int*);
@ "fit" : void Fit();

@INCLUDE wxs_panl.xci

@END

#if USE_ENHANCED_DIALOG

@CLASSBASE wxEnhDialogBox "wx:enh-dialog-box" : "wx:dialog-box"

@SET CALLBACK_CLASS = wxEnhDialogBox
@INCLUDE cb_start.xci

@CREATOR (wxFrame^,string,bool=FALSE,wxFunction=NULL/bCallback/ubCallback/cCallback,int=-1,int=0,int=0,int=10,int=10,long=wxDEFAULT_DIALOG_STYLE,string="Shell"); : : ubCallbackSetup///ubCallbackCreatorFinish

@IVAR "user-panel" : wxPanel! userPanel

@ "set-status" : void SetStatus(string=NULL);
@ "add-cmd" : wxButton! AddCmd(string,wxFunction/bCallback/ubCallback/cCallback,int=0); : : ubCallbackSetup///ubCallbackFinish
@ "add-cmd" : wxButton! AddCmd(wxBitmap!,wxFunction/bCallback/ubCallback/cCallback,int=0); : : ubCallbackSetup///ubCallbackFinish
	
@ "get-cmd" : wxButton^ GetCmd(int);
@ "set-pin" : void SetPin(bool);
@ "show" : void Show(bool,bool=FALSE);
@ "fit" : void Fit();

@ v "on-default-action" : void OnDefaultAction(wxItem!);
@INCLUDE wxs_win.xci

@END

@INCLUDE cb_end.xci

#endif
