
#include "wx.h"
#include "wx_timer.h"
#include "wx_types.h"

@INCLUDE wxs.xci

@HEADER

#if USE_METAFILE

#include "wx_mf.h"

@CLASSBASE wxMetaFile "wx:meta-file" : "wx:object"

@CREATOR (string=NULL);

@ "ok?" : bool Ok();
@ "play" : void Play(wxDC!);
@ "set-clipboard" : bool SetClipboard(int=0,int=0);

@END

#endif

@MACRO rFALSE = return FALSE;

@CLASSBASE wxTimer "wx:timer" : "wx:object"

@SET CALLBACK_CLASS = wxTimer
@INCLUDE cb_start.xci

@CREATOR ();

@ "interval" : int Interval();
@ v "notify" : void Notify();
@ "start" : bool Start(int=-1,bool=FALSE); : : : : rFALSE
@ "stop" : void Stop();

@END

@INCLUDE cb_end.xci

@CLASSBASE wxTypeTree "wx:type-tree" : "wx:list"

@CREATOR ();

@ "add-type" : void AddType(int,int,string);

@CONSTANT "wx:const-type-any" : int wxTYPE_ANY
@CONSTANT "wx:const-type-object" : int wxTYPE_OBJECT
@CONSTANT "wx:const-type-window" : int wxTYPE_WINDOW
@CONSTANT "wx:const-type-dialog-box" : int wxTYPE_DIALOG_BOX
@CONSTANT "wx:const-type-item" : int wxTYPE_ITEM
@CONSTANT "wx:const-type-panel" : int wxTYPE_PANEL
@CONSTANT "wx:const-type-canvas" : int wxTYPE_CANVAS
@CONSTANT "wx:const-type-text-window" : int wxTYPE_TEXT_WINDOW
@CONSTANT "wx:const-type-frame" : int wxTYPE_FRAME
@CONSTANT "wx:const-type-button" : int wxTYPE_BUTTON
@CONSTANT "wx:const-type-text" : int wxTYPE_TEXT
@CONSTANT "wx:const-type-message" : int wxTYPE_MESSAGE
@CONSTANT "wx:const-type-choice" : int wxTYPE_CHOICE
@CONSTANT "wx:const-type-list-box" : int wxTYPE_LIST_BOX
@CONSTANT "wx:const-type-slider" : int wxTYPE_SLIDER
@CONSTANT "wx:const-type-check-box" : int wxTYPE_CHECK_BOX
@CONSTANT "wx:const-type-menu" : int wxTYPE_MENU
@CONSTANT "wx:const-type-menu-bar" : int wxTYPE_MENU_BAR
@CONSTANT "wx:const-type-multi-text" : int wxTYPE_MULTI_TEXT
@CONSTANT "wx:const-type-radio-box" : int wxTYPE_RADIO_BOX
@CONSTANT "wx:const-type-group-box" : int wxTYPE_GROUP_BOX
@CONSTANT "wx:const-type-guage" : int wxTYPE_GAUGE
@CONSTANT "wx:const-type-scroll-box" : int wxTYPE_SCROLL_BAR
@CONSTANT "wx:const-type-virt-list-box" : int wxTYPE_VIRT_LIST_BOX
@CONSTANT "wx:const-type-event" : int wxTYPE_EVENT
@CONSTANT "wx:const-type-dc" : int wxTYPE_DC
@CONSTANT "wx:const-type-dc-canvas" : int wxTYPE_DC_CANVAS
@CONSTANT "wx:const-type-dc-postscript" : int wxTYPE_DC_POSTSCRIPT
@CONSTANT "wx:const-type-dc-printer" : int wxTYPE_DC_PRINTER
@CONSTANT "wx:const-type-dc-metafile" : int wxTYPE_DC_METAFILE
@CONSTANT "wx:const-type-dc-memory" : int wxTYPE_DC_MEMORY
@CONSTANT "wx:const-type-mouse-event" : int wxTYPE_MOUSE_EVENT
@CONSTANT "wx:const-type-key-event" : int wxTYPE_KEY_EVENT
@CONSTANT "wx:const-type-command-event" : int wxTYPE_COMMAND_EVENT
@CONSTANT "wx:const-type-pen" : int wxTYPE_PEN
@CONSTANT "wx:const-type-brush" : int wxTYPE_BRUSH
@CONSTANT "wx:const-type-font" : int wxTYPE_FONT
@CONSTANT "wx:const-type-icon" : int wxTYPE_ICON
@CONSTANT "wx:const-type-bitmap" : int wxTYPE_BITMAP
@CONSTANT "wx:const-type-metafile" : int wxTYPE_METAFILE
@CONSTANT "wx:const-type-timer" : int wxTYPE_TIMER
@CONSTANT "wx:const-type-colour" : int wxTYPE_COLOUR
@CONSTANT "wx:const-type-colourmap" : int wxTYPE_COLOURMAP
@CONSTANT "wx:const-type-cusor" : int wxTYPE_CURSOR
@CONSTANT "wx:const-type-dde-cliebt" : int wxTYPE_DDE_CLIENT
@CONSTANT "wx:const-type-dde-server" : int wxTYPE_DDE_SERVER
@CONSTANT "wx:const-type-dde-connection" : int wxTYPE_DDE_CONNECTION
@CONSTANT "wx:const-type-help-instance" : int wxTYPE_HELP_INSTANCE
@CONSTANT "wx:const-type-list" : int wxTYPE_LIST
@CONSTANT "wx:const-type-string-list" : int wxTYPE_STRING_LIST
@CONSTANT "wx:const-type-hash-table" : int wxTYPE_HASH_TABLE
@CONSTANT "wx:const-type-node" : int wxTYPE_NODE
@CONSTANT "wx:const-type-app" : int wxTYPE_APP
@CONSTANT "wx:const-type-enhanced-dialog" : int wxTYPE_ENHANCED_DIALOG
@CONSTANT "wx:const-type-toolbar" : int wxTYPE_TOOLBAR
@CONSTANT "wx:const-type-buttonbar" : int wxTYPE_BUTTONBAR
@CONSTANT "wx:const-type-user" : int wxTYPE_USER

@END

@GLOBAL wxsTypesGlobal

@ "wx:get-type-name" : string wxGetTypeName(int);

@END
