
#include "wx_media.h"

@INCLUDE wxs.xci

@HEADER

@CLASSBASE wxMediaPasteboard "wx:media-pasteboard" : "wx:media-buffer"

@CREATOR ()

@SETMARK X = 
@SETMARK Y = v
@SETMARK Z = v
@INCLUDE wxs_mbuf.xci

@ "insert" : void Insert(wxSnip!,float,float);
@ "insert" : void Insert(wxSnip!,wxSnip!);
@ "insert" : void Insert(wxSnip!,wxSnip!,float,float);

@ "delete" : void Delete();
@ "delete" : void Delete(wxSnip!);

@ "erase" : void Erase();

@ "remove" : void Remove(wxSnip!);

@ "move-to" : void MoveTo(wxSnip!,float,float);
@ "move" : void Move(wxSnip!,float,float);
@ "move" : void Move(float,float);

@ "resize" : bool Resize(wxSnip!, float, float);

@ "load-file" : bool LoadFile(nstring=NULL);
@ "save-file" : bool SaveFile(nstring=NULL);

@ "raise" : void Raise(wxSnip!);
@ "lower" : void Lower(wxSnip!);
@ "set-before" : void SetBefore(wxSnip!,wxSnip^);
@ "set-after" : void SetAfter(wxSnip!,wxSnip^);
  
@ "change-style" : void ChangeStyle(wxStyleDelta^,wxSnip^);
@ "change-style" : void ChangeStyle(wxStyle^,wxSnip^=NULL);

@ "set-selected" : void SetSelected(wxSnip!);
@ "add-selected" : void AddSelected(wxSnip!);
@ "add-selected" : void AddSelected(float,float,float,float);
@ "no-selected" :  void NoSelected();

@ "get-center" : void GetCenter(float*, float*);

@ "add-pasteboard-functions" : void AddPasteboardFunctions(wxKeymap!);

@ "find-snip" : wxSnip^ FindSnip(float,float);
@ "find-first-snip" : wxSnip^ FindFirstSnip();
@ "is-selected?" : bool IsSelected(wxSnip^);
@ "find-next-selected-snip" : wxSnip^ FindNextSelectedSnip(wxSnip^);

@ v "on-insert" : bool OnInsert(wxSnip!,wxSnip!,float, float);
@ v "after-insert" : void AfterInsert(wxSnip!,wxSnip!,float,float);
@ v "on-delete" : bool OnDelete(wxSnip!);
@ v "after-delete" :  void AfterDelete(wxSnip!);
@ v "on-move-to" :  bool OnMoveTo(wxSnip!,float,float,bool);
@ v "after-move-to" :  void AfterMoveTo(wxSnip!,float,float,bool);
@ v "on-resize" :  bool OnResize(wxSnip!,float,float);
@ v "after-resize" :  void AfterResize(wxSnip!,float,float,bool);

@END
